<template>
    <div class="main-view bg-night">
        <div class="screen-part centered">
            <div class="screen bg-night centered">
                <img :src="getInplayer.img" class="covered">
                <transition-group name="fade">
                    <div class="over-screen centered bg-night" v-if="state.start === true">
                        <div class="btn-wrap txt-secondary" @click.prevent="state.start = false">
                            <div class="icon-case">
                                <loader-icon size="icon-50"/>
                            </div>
                        </div>
                    </div>
                
                <div class="over-screen centered" v-else>
                    <div class="btn-wrap bg-trans-black br35 txt-full-white hover-prime-light"
                    @click.prevent="state.start = true">
                        <div class="icon-case">
                            <toright-icon size="icon-50"/>
                        </div>
                    </div>
                </div>
                </transition-group>
            </div>
        </div>
        <div class="data-part">
            <div class="title-zone txt-full-white">
                {{ getInplayer.name }}
            </div>
            <div class="watching txt-gray-mid">
                {{ getInplayer.director }}
            </div>
            <div class="btn-zone">
                <div class="blockitem">
                    <div class="btn-wrap bg-secondary br20 hover-secondary-light"
                     @click.prevent="state.share = true">
                    <div class="btn-txt-icon">
                        {{isLang.videos.main.btn1}}
                    </div>
                    <div class="icon-case">
                        <share-icon size="icon-20"/>
                    </div>
                </div>
                <teleport to="body">
                    <share-list v-if="state.share === true">
                        <div class="btn-wrap bg-full-white txt-night-light br22" @click.prevent="state.share = false">
                            <div class="icon-case">
                                <close-icon size="icon-25"/>
                            </div>
                        </div>
                    </share-list>
                </teleport>
                </div>
                <div class="blockitem">
                    <router-link :to="`/contact/${getInplayer.director}`"
                     class="btn-wrap btn-head br20 txt-full-white hover-secondary-light">
                        <div class="hideMob btn-txt-local">
                            <p style="margin: 0; height: 100%;" class="centered">{{isLang.videos.main.btn2}}</p>
                        </div>
                        <div class="icon-case">
                            <email-icon size="icon-20"/>
                        </div>
                    </router-link>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { reactive, defineAsyncComponent } from 'vue';
import langStore from '../store/langStore';
import StoreVideo from '../store/videoPlaying';
import ShareIcon from '../components/icons/ShareIcon.vue';
import LoaderIcon from '../components/icons/LoaderIcon.vue';
import TorightIcon from '../components/icons/TorightIcon.vue';
import CloseIcon from './icons/CloseIcon.vue';
import EmailIcon from '../components/icons/EmailIcon.vue';

const ShareList = defineAsyncComponent(() => import('./ShareList.vue'));

const { isLang } = langStore;
const { getInplayer } = StoreVideo;

const state = reactive({
    start: false,
    share: false
})
</script>

<style scoped>
.btn-txt-local {
    margin: 0;
    padding-top: 8px;
    padding-left: 10px;
    padding-bottom: 8px;
    font-weight: 600;
}
.main-view {
        margin: 0;
        width: 100%;
    }
.over-screen {
    margin: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}

/* version mobile max 768px */

@media (max-width: 768px) {
    
    .screen-part {
        margin: 0;
        width: 100%;
        height: calc(100vw / 1.77); /* format 16/9 */
    }
    .data-part {
        margin: 0;
        width: 100%;
        min-height: 65px;
    }
    .screen {
        margin: 0;
        width: 100%;
        height: 100%;
        position: relative;
    }
    .title-zone {
        margin: 0;
        width: 100%;
        height: 50px;
        padding-left: 10px;
        font-size: 20px;
        font-weight: 500;
        display: flex;
        align-items: center;
    }
    .watching {
        margin: 0;
        padding-left: 10px;
        width: 100%;
        height: 30px;
        display: flex;
        align-items: center;
    }
    .btn-zone {
        margin: 0;
        padding: 10px;
        width: 100%;
        height: 60px;
        display: flex;
    }
}





/* version tablette 769px - 1023px */

@media (min-width: 769px) {
    .screen-part {
        margin: 0;
        width: 100%;
        height: calc(100vw / 1.77); /* format 16/9 */
    }
    .data-part {
        margin: 0;
        width: 100%;
        min-height: 65px;
    }
    .screen {
        margin: 0;
        width: 100%;
        height: 100%;
        position: relative;
    }
    .title-zone {
        margin: 0;
        width: 100%;
        height: 50px;
        padding-left: 10px;
        font-size: 20px;
        font-weight: 500;
        display: flex;
        align-items: center;
    }
    .watching {
        margin: 0;
        padding-left: 10px;
        width: 100%;
        height: 30px;
        display: flex;
        align-items: center;
    }
    .btn-zone {
        margin: 0;
        padding: 10px;
        width: 100%;
        height: 60px;
        display: flex;
    }
    
}




/*version bureau min 1024px */

@media (min-width: 1024px) {
    .main-view {
        margin: 0;
        height: 100%;
        width: 65%;
    }
    .screen-part {
    margin: 0;
    width: 100%;
    height: 75%;
}
.data-part {
    margin: 0;
    width: 100%;
    height: 25%;
}
.screen {
    margin: 0;
    width: 95%;
    height: 95%;
}
.title-zone {
    margin: 0;
    width: 100%;
    height: 50px;
    padding-left: 30px;
    font-size: 20px;
    font-weight: 500;
}
.watching {
    margin: 0;
    width: 100%;
    height: 20px;
    padding-left: 30px;
}
.btn-zone {
    margin: 0;
    width: 100%;
    height: calc(100% - 75px);
    padding-left: 30px; 
}
}
</style>